POST /sms/v1/keyword

Overview 

Creates a keyword on an account.

JSON Parameters 

NameTypeDescription
longCodestringThe long code that the keyword will be created on
shortCodestringThe short code that the keyword will be created on
keywordstringThe keyword that will be created
countryCodestringThe two letter country code specifying the country that short code belongs to

Usage 

Example Request

1Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
2POST /sms/v1/keyword
3Content-Type: application/json
4Authorization: Bearer YOUR_ACCESS_TOKEN
5
6{
7    "ShortCode": "88976",
8    "CountryCode": "US",
9    "Keyword": "EXAMPLEONE"
10}

Example Response

1HTTP/1.1 202 Accepted
2{
3    "KeywordId": "alm5LXNSSktGMGluRznRb1Rb1R5MDZFQTo4Njow"
4}

DID THIS ARTICLE SOLVE YOUR ISSUE?
Let us know so we can improve!